Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047187
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-06-18 17:122021-07-15 09:22
ReporterrtoledanoView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in VersionRR21Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047187: Wrog creation date of the sales invoice record

DescriptionThe sales invoice has the same creation date as the sales order, despite having been created at different times
Steps To ReproduceSteps
 1 - Log in on POS
 2 - Create a new ticket
 3 - Add some products
 4 - Assign a non anonymous customer
 5 - Pay and Complete the ticket
 6 - Go to backend on Sales Order window, find the receipt record and read the
    creation date in the Audit section
 7 - Wait some minutes (Ex. 2 min)
 8 - Now go back on POS and Re-open the ticket
 9 - Do an Issue Invoice
 10-Checkout and click on Done
 11-Go to backend on Sales Invoice window, find the related invoice record and
    read the creation date in the Audit section

You can check that creation date of the sales order and the invoice is the same. However the invoice was created minutes later.

This bug is causing that printed invoice inform a wrong Datetime information
TagsNOR
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0129818)
hgbot (developer)
2021-06-28 03:52

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/486 [^]
(0129882)
hgbot (developer)
2021-06-29 03:55

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/486 [^]
(0129883)
hgbot (developer)
2021-06-29 04:53

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/493 [^]
(0129892)
hgbot (developer)
2021-06-29 08:08

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/493 [^]
(0129893)
hgbot (developer)
2021-06-29 08:08

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 146cd6cef0a047d1fe5901d029ec7f0fd45a307a
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-06-29T06:08:39+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/146cd6cef0a047d1fe5901d029ec7f0fd45a307a [^]

Fixed BUG-47187: Removed unnecessary updateAuditInfo function

---
M src/org/openbravo/retail/posterminal/utility/InvoiceUtils.java
---
(0130492)
guilleaer (developer)
2021-07-15 09:22

Closed again after resolve doubts raised by QA team

- Issue History
Date Modified Username Field Change
2021-06-18 17:12 rtoledano New Issue
2021-06-18 17:12 rtoledano Assigned To => Retail
2021-06-18 17:12 rtoledano Triggers an Emergency Pack => No
2021-06-18 17:15 rtoledano Tag Attached: NOR
2021-06-22 17:29 rqueralta Assigned To Retail => rqueralta
2021-06-22 17:29 rqueralta Status new => scheduled
2021-06-28 03:52 hgbot Note Added: 0129818
2021-06-29 03:55 hgbot Note Added: 0129882
2021-06-29 04:53 hgbot Note Added: 0129883
2021-06-29 08:08 hgbot Resolution open => fixed
2021-06-29 08:08 hgbot Status scheduled => closed
2021-06-29 08:08 hgbot Note Added: 0129892
2021-06-29 08:08 hgbot Fixed in Version => RR21Q3
2021-06-29 08:08 hgbot Note Added: 0129893
2021-07-14 15:57 lorenzofidalgo Note Added: 0130478
2021-07-14 15:57 lorenzofidalgo Status closed => new
2021-07-14 15:57 lorenzofidalgo Resolution fixed => open
2021-07-14 15:57 lorenzofidalgo Fixed in Version RR21Q3 =>
2021-07-14 18:58 lorenzofidalgo Note Deleted: 0130478
2021-07-15 09:21 guilleaer Status new => scheduled
2021-07-15 09:21 guilleaer Status scheduled => resolved
2021-07-15 09:21 guilleaer Resolution open => fixed
2021-07-15 09:22 guilleaer Review Assigned To => marvintm
2021-07-15 09:22 guilleaer Note Added: 0130492
2021-07-15 09:22 guilleaer Status resolved => closed
2021-07-15 09:22 guilleaer Fixed in Version => RR21Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker